package com.sxyz.rfid.presenter;

import android.app.Activity;

import androidx.fragment.app.Fragment;

/**
 * @Description: 出库
 * @Project: rfid-app
 * @Author: chunyuan.wu
 */
public interface IOutBoundPresenter {
    //查询出库单列表
    void doOutBoundList(Fragment activity, int pageSize, int pageNum);

    //查询出库明细
    void doOutBoundDetailList(Activity activity, int orderId);

    //查询出库流水
    void doOutBoundFlowingWaterList(Activity activity, int itemId);

    //出库流水-撤销操作
    void doOutBoundCancel(Activity activity, int itemId);

    //出库明细-撤销操作
    void doOutBoundDetailCancel(Activity activity, int itemId);

}
